Bug 523163 - [ml_IN] Wrong rendering when 0D24, 0D2B, 0D35 combined with 0D4D and 0D32
Summary: [ml_IN] Wrong rendering when 0D24, 0D2B, 0D35 combined with 0D4D and 0D32
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-malayalam-fonts
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 09:34 UTC by Ani Peter
Modified: 2016-08-01 01:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 06:30:39 UTC


Attachments (Terms of Use)
Scrrenshot for the wrong glyphs (7.39 KB, image/png)
2009-09-14 09:34 UTC, Ani Peter
no flags Details
Scrrenshot for the correct glyphs (10.31 KB, image/png)
2009-09-14 09:35 UTC, Ani Peter
no flags Details
Correct rendering of required combinations. (207.67 KB, image/png)
2009-09-14 15:18 UTC, sandeep shedmake
no flags Details
ttf file for Lohit-Malayalam handling the required combination (69.25 KB, application/x-font-ttf)
2009-09-16 17:58 UTC, sandeep shedmake
no flags Details

Description Ani Peter 2009-09-14 09:34:42 UTC
Created attachment 360910 [details]
Scrrenshot for the wrong glyphs

Description of problem:
Three consonants 0D24, 0D2B and 0D35, when combined with 0D4D and 0D32 gives wrong result. ie,
(i) 0D24 + 0D4D + 0D32 =>  ത  +  ്  +  ല  = ത്ല
(ii) 0D2B + 0D4D + 0D32 =>  ഫ  +  ്  +  ല  = ഫ്ല
(iii) 0D35 + 0D4D + 0D32 =>  വ  +  ്  +  ല  = വ്ല

Version-Release number of selected component (if applicable):
lohit-malayalam-fonts-2.3.8-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit.
2. (i)Type 0D24, 0D4D and 0D32.
   (ii)Type 0D2B, 0D4D and 0D32.
   (iii)Type 0D35, 0D4D and 0D32.

  
Actual results:
When the above steps are done, results of three combinations (i), (ii) and (iii) are wrong. They appear as a glyph just in the same order of the keys typed. Wrong glyphs screenshot attached.

Expected results:
When the above steps are done, results of three combinations (i), (ii) and (iii) must be three below based glyphs. Correct glyphs screenshot attached.

Additional info:
Above three results are same type of bugs formed with three consonants 0D24, 0D2B and 0D35. Hence fined under the same bug

Comment 1 Ani Peter 2009-09-14 09:35:48 UTC
Created attachment 360911 [details]
Scrrenshot for the correct glyphs

Comment 2 sandeep shedmake 2009-09-14 15:18:12 UTC
Created attachment 360958 [details]
Correct rendering of required combinations.

From Comment #1,

The required combinations are fixed in pango-1.25.5-1, qt-4.5.2-13 and libicu-4.2.1-6:

(i) 0D24 + 0D4D + 0D32 =>  ത  +  ്  +  ല  = ത്ല
(ii) 0D2B + 0D4D + 0D32 =>  ഫ  +  ്  +  ല  = ഫ്ല
(iii) 0D35 + 0D4D + 0D32 =>  വ  +  ്  +  ല  = വ്ല

Comment 3 sandeep shedmake 2009-09-15 05:12:37 UTC
From Comment #2

Oops!!  I realized that smc-meera-fonts is the preferred font (as per the
90-smc-fonts.conf) over lohit-malayalam. 

Thereby, the required combinations: 
(i) 0D24 + 0D4D + 0D32 =>  ത  +  ്  +  ല  = ത്ല
(ii) 0D2B + 0D4D + 0D32 =>  ഫ  +  ്  +  ല  = ഫ്ല
(iii) 0D35 + 0D4D + 0D32 =>  വ  +  ്  +  ല  = വ്ല         breaks in lohit-malayalam.

Comment 4 Ani Peter 2009-09-15 05:19:25 UTC
I confirm that this bug is filed for lohit-malayalam-fonts-2.3.8-1 as mentioned in the description. The combinations works fine with all smc fonts.

Comment 5 sandeep shedmake 2009-09-16 17:58:40 UTC
Created attachment 361342 [details]
ttf file for Lohit-Malayalam handling the required combination

Please, check for any regressions.

Comment 6 Ani Peter 2009-09-18 06:15:07 UTC
Have tested Lohit-Malayalam. All the three combinations are working perfect.

(i) 0D24 + 0D4D + 0D32 =>  ത  +  ്  +  ല  = ത്ല
(ii) 0D2B + 0D4D + 0D32 =>  ഫ  +  ്  +  ല  = ഫ്ല
(iii) 0D35 + 0D4D + 0D32 =>  വ  +  ്  +  ല  = വ്ല 

Thanks Sandeep.

Comment 7 Pravin Satpute 2009-09-21 12:15:31 UTC
build lohit-malayalam-fonts-2_4_4-1_fc12
will be available in wed. rawhide

Comment 8 sandeep shedmake 2009-09-23 06:30:39 UTC
From Comment #7,

Following combination:

(i) 0D24 + 0D4D + 0D32 =>  ത  +  ്  +  ല  = ത്ല
(ii) 0D2B + 0D4D + 0D32 =>  ഫ  +  ്  +  ല  = ഫ്ല
(iii) 0D35 + 0D4D + 0D32 =>  വ  +  ്  +  ല  = വ്ല 

can now be obtained from build lohit-malayalam-fonts-2_4_4-1_fc12 (available in Rawhide).

Thereby, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.